Create a playtest (draft)
curl --request POST \
--url https://api.userplay.io/public/v1/studios/{studioId}/playtests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"playtestName": "<string>",
"playtestHighlightsConfig": {
"agentHighlightsEnabled": true,
"transcriptsEnabled": true,
"categories": []
},
"playtestSessionCount": 5,
"minSessionDuration": 123,
"playtestDescription": "<string>",
"buildDistributionUrl": "<string>",
"sessionCooldown": 123,
"emails": [
"[email protected]"
],
"maxPlayers": 500
}
'import requests
url = "https://api.userplay.io/public/v1/studios/{studioId}/playtests"
payload = {
"playtestName": "<string>",
"playtestHighlightsConfig": {
"agentHighlightsEnabled": True,
"transcriptsEnabled": True,
"categories": []
},
"playtestSessionCount": 5,
"minSessionDuration": 123,
"playtestDescription": "<string>",
"buildDistributionUrl": "<string>",
"sessionCooldown": 123,
"emails": ["[email protected]"],
"maxPlayers": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
playtestName: '<string>',
playtestHighlightsConfig: {agentHighlightsEnabled: true, transcriptsEnabled: true, categories: []},
playtestSessionCount: 5,
minSessionDuration: 123,
playtestDescription: '<string>',
buildDistributionUrl: '<string>',
sessionCooldown: 123,
emails: ['[email protected]'],
maxPlayers: 500
})
};
fetch('https://api.userplay.io/public/v1/studios/{studioId}/playtests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"playtestId": "<string>",
"studioId": "<string>",
"createdBy": "<string>",
"playtestType": "single",
"playtestName": "<string>",
"playtestDescription": "<string>",
"stage": "draft",
"buildDistributionUrl": "<string>",
"ndaBriefingContent": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"ndaManagementEnabled": true,
"ndaCustomAgreements": [
{
"id": "<string>",
"label": "<string>"
}
],
"buildDistributionContent": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"buildDistributionEnabled": true,
"recordingEnabled": true,
"screeningEnabled": true,
"playtestScreening": [
{
"id": "<string>",
"type": "heading",
"text": "<string>"
}
],
"playtestCaptureAudio": "enabled",
"playtestCaptureScreen": "enabled",
"playtestCaptureEvents": "enabled",
"playtestHighlightsConfig": {
"agentHighlightsEnabled": true,
"transcriptsEnabled": true,
"categories": [
"Enjoyment"
]
},
"playtestSessionCount": 123,
"playtestAccess": "open",
"maxPlayers": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Playtests
Create a playtest (draft)
POST
/
studios
/
{studioId}
/
playtests
Create a playtest (draft)
Authorizations
Personal API key (prefix up_). Create one in the studio under Account → API keys.
Path Parameters
Body
application/json
The kind of playtest to run.
Available options:
single, multi, longitudinal Display name of the playtest.
Required string length:
2 - 80Highlight generation settings. Supply as nested JSON via --body.
Show child attributes
Show child attributes
Number of play sessions to collect, from 1 to 6. Single-session playtests use 1.
Required range:
x <= 6Minimum length of a valid session, in seconds.
Optional description shown to your team.
Maximum string length:
2000URL where players download or launch the build.
Maximum string length:
2048Minimum gap between a player's sessions, in seconds (up to 3600).
Required range:
x <= 3600Email addresses to add to the playtest roster.
Total-player cap for a shareable self-join link. Omit for a roster-only playtest.
Required range:
1 <= x <= 1000Response
201 - application/json
The created draft playtest
Show child attributes
Show child attributes
⌘I